Bug 169679 - net/boinc-client update to 7.0.28
Summary: net/boinc-client update to 7.0.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-06 10:30 UTC by Andrey Simonenko
Modified: 2012-08-27 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.36 KB, patch)
2012-07-06 10:30 UTC, Andrey Simonenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Simonenko 2012-07-06 10:30:12 UTC
This is update for net/boinc-client to 7.0.28.

Changes to previous port:

* Corrected pkg-plist

* Simplified and updated Makefile

Since BOINC source code is distributed from BOINC Subversion repository,
it is necessary to generate source:

1. Create BOINC-client directory with scripts.  See shar archive bellow.

2. Install subversion, gmake, gm4, pkg-config, autoconf, automake, libtool.
   (use automake 1.12, one Makefile.am is not ready for 1.12.1)

3. Cd to BOINC-client and run

% ./boinc-client-get.sh

It should get code from SVN (~200 Mbytes).

4. Run these scripts:

% ./BOINC-client-copy.sh
% ./BOINC-client-setup.sh
% ./BOINC-client-simplify.sh
% ./BOINC-client-package.sh

If everything is correct, you'll get boinc-client-7.0.28.tar.xz (~4.5 Mbytes)
Port's Makefile has distinfo for this file generated on my system and
I got updates via the "svn diff" command.

How-To-Repeat: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	BOINC-client
#	BOINC-client/BOINC-client-copy.sh
#	BOINC-client/BOINC-client-package.sh
#	BOINC-client/BOINC-client-setup.sh
#	BOINC-client/BOINC-client-simplify.sh
#	BOINC-client/boinc-client-get.sh
#	BOINC-client/boinc-client-version.sh
#
echo c - BOINC-client
mkdir -p BOINC-client > /dev/null 2>&1
echo x - BOINC-client/BOINC-client-copy.sh
sed 's/^X//' >BOINC-client/BOINC-client-copy.sh << '9281447033ab9c853910402bdc947ce2'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xecho "Removing ${boinc_client_dir} ..."
Xrm -rf ${boinc_client_dir}
X
Xecho "Creating ${boinc_client_dir} ..."
Xcp -Rp ${boinc_core_dir} ${boinc_client_dir}
9281447033ab9c853910402bdc947ce2
echo x - BOINC-client/BOINC-client-package.sh
sed 's/^X//' >BOINC-client/BOINC-client-package.sh << '57367a0d38afcb307302ca761c0b8b50'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xname=${boinc_client_dir}.tar.xz
Xecho "Removing ${name} ..."
Xrm -f ${name}
X
Xecho "Tar archiving ${boinc_client_dir} ..."
Xtar -cf ${boinc_client_dir}.tar ${boinc_client_dir}
X
Xecho "XZ compressing ${boinc_client_dir}.tar ..."
Xxz ${boinc_client_dir}.tar
57367a0d38afcb307302ca761c0b8b50
echo x - BOINC-client/BOINC-client-setup.sh
sed 's/^X//' >BOINC-client/BOINC-client-setup.sh << '2d2c2b8b7b029f6d1e95bcf8a8fb57c4'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xcd ${boinc_client_dir} && ./_autosetup
X
2d2c2b8b7b029f6d1e95bcf8a8fb57c4
echo x - BOINC-client/BOINC-client-simplify.sh
sed 's/^X//' >BOINC-client/BOINC-client-simplify.sh << '65f3d337aab2149d21e73ac8e36cc2e6'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xclear_dir()
X{
X	( cd $1 ; ls | while read name ; do
X		if [ "${name}" != "Makefile.in" -a \
X		     "${name}" != "Makefile.am" -a -f ${name} ]; then
X			n=${name%\.in}
X			if [ "${name}" == "${n}" ]; then
X				rm ${name}
X			fi
X		fi
X	done )
X}
X
Xcd ${boinc_client_dir}
Xif [ $? -ne 0 ]; then
X	echo "Cannot cd to ${boinc_client_dir}"
X	exit 1
Xfi
X
Xrm -rf	.svn \
X	autom4te.cache \
X	win_build \
X	samples \
X	mac_build \
X	mac_installer \
X	rboinc \
X	coprocs \
X	clientgui/mac clientgui/msw \
X	client/android client/os2 client/win \
X	clientctrl \
X	stripchart \
X	clienttray \
X	clientscr/res clientscr/progress \
X	languages \
X	lib/mac \
X	packages/linux \
X	doc/bolt doc/logo doc/sim doc/source \
X	curl \
X	clientgui/res/templates \
X	clientgui/sqlite3.c \
X	api/ttf \
X	html
X
Xrm -f	clientgui/res/*.zip clientgui/res/*.ico clientgui/res/*.icns
X
Xrm -f	clientgui/skins/GridRepublic/graphic/Thumbs.db
X
Xfor dir in db test py/Boinc py sched apps tools vda clientscr \
X    doc doc/manpages packages packages/generic/sea packages/solaris; do
X	clear_dir ${dir}
Xdone
X
Xfor dir in boincclient boincdevel boinclibs boincmanager boincserver .; do
X	clear_dir packages/solaris/CSW/${dir}
Xdone
X
X(cd locale; for dir in 	\
X    ar be bg ca cs cy da de el es fa fi fr gl hr he hu it ja ko lt lv \
X    nb nl nn pl pt_BR pt_PT ro ru sk sl sv_SE tr uk zh_CN zh_TW ; do
X	find ${dir} \
X	    \( ! \( -name BOINC-Client.mo -or -name BOINC-Manager.mo \) \
X	    -type f \) -exec rm -- {} \;
Xdone )
X
Xrm -rf	locale/templates
X
Xrm -f	checkin_notes*
X
Xrm -rf	zip/boinc_zip.xcodeproj \
X	zip/zip/unix/Packaging zip/unzip/unix/Packaging \
X	zip/zip/macos zip/zip/win32 zip/unzip/macos zip/unzip/win32
X
65f3d337aab2149d21e73ac8e36cc2e6
echo x - BOINC-client/boinc-client-get.sh
sed 's/^X//' >BOINC-client/boinc-client-get.sh << '44e21126847c39c5131c90accaf61218'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xsvn co http://boinc.berkeley.edu/svn/tags/boinc_core_release_${svn_version}
44e21126847c39c5131c90accaf61218
echo x - BOINC-client/boinc-client-version.sh
sed 's/^X//' >BOINC-client/boinc-client-version.sh << 'b5c84f1f89661c8ea8ba1c15249bb395'
Xversion=7.0.28
Xsvn_version=`echo ${version} | sed y/./_/`
Xboinc_client_dir=boinc-client-${version}
Xboinc_core_dir=boinc_core_release_${svn_version}
b5c84f1f89661c8ea8ba1c15249bb395
exit
Comment 1 Edwin Groothuis freebsd_committer 2012-07-06 10:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrey Simonenko 2012-08-06 12:18:49 UTC
Updated diff:

diff -ruN boinc-client.orig/Makefile boinc-client/Makefile
--- boinc-client.orig/Makefile	2012-08-06 12:24:29.000000000 +0300
+++ boinc-client/Makefile	2012-08-06 13:55:50.000000000 +0300
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	boinc-client
-PORTVERSION=	7.0.25
-PORTREVISION=	5
+PORTVERSION=	7.0.28
 CATEGORIES=	net
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	pav
@@ -151,9 +150,10 @@
 
 post-install:
 .if ${PORT_OPTIONS:MMANAGER}
+	${MKDIR} ${PREFIX}/share/boinc
 	${MKDIR} ${LOCALBASE}/share/pixmaps
 . for name in 16 32 48
-	cd ${LOCALBASE}/share/pixmaps ; ${LN} -sf ${PREFIX}/share/boinc/boincmgr.${name}x${name}.png
+	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png ${LOCALBASE}/share/pixmaps
 . endfor
 . if ${PORT_OPTIONS:MSKINS}
 	${CP} -R ${WRKSRC}/clientgui/skins ${PREFIX}/share/boinc
@@ -162,9 +162,9 @@
 	${CP} -R ${WRKSRC}/clientgui/skins/Default ${PREFIX}/share/boinc/skins
 . endif
 .endif
-	${INSTALL_DATA} ${WRKSRC}/config.h ${PREFIX}/include/boinc
-	${INSTALL_DATA} ${WRKSRC}/lib/std_fixes.h ${PREFIX}/include/boinc
-	${INSTALL_DATA} ${WRKSRC}/api/reduce.h ${PREFIX}/include/boinc
+. for name in config.h api/reduce.h lib/std_fixes.h
+	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
+. endfor
 .if ${PORT_OPTIONS:MX11}
 . for name in api/boinc_gl.h api/graphics_api.h api/graphics_data.h \
 	api/txf_util.h
diff -ruN boinc-client.orig/distinfo boinc-client/distinfo
--- boinc-client.orig/distinfo	2012-04-15 15:57:50.000000000 +0300
+++ boinc-client/distinfo	2012-07-05 13:11:21.000000000 +0300
@@ -1,2 +1,2 @@
-SHA256 (boinc-client-7.0.25.tar.xz) = b73dc1ab8e390e7f015964462dd4b02aa01f01ec1bb8dfcfb0faea8c4957bec5
-SIZE (boinc-client-7.0.25.tar.xz) = 4568300
+SHA256 (boinc-client-7.0.28.tar.xz) = a8d208b7145e911e856db4d4cdcfa843e26b445a948c11e40ad03ae3fdd657fa
+SIZE (boinc-client-7.0.28.tar.xz) = 4529336
diff -ruN boinc-client.orig/pkg-plist boinc-client/pkg-plist
--- boinc-client.orig/pkg-plist	2012-04-23 23:49:14.000000000 +0300
+++ boinc-client/pkg-plist	2012-07-05 14:01:50.000000000 +0300
@@ -39,6 +39,7 @@
 include/boinc/prefs.h
 include/boinc/procinfo.h
 include/boinc/proxy_info.h
+include/boinc/reduce.h
 include/boinc/stackwalker_imports.h
 include/boinc/stackwalker_win.h
 include/boinc/std_fixes.h
@@ -51,7 +52,6 @@
 %%X11%%include/boinc/boinc_gl.h
 %%X11%%include/boinc/graphics_api.h
 %%X11%%include/boinc/graphics_data.h
-%%X11%%include/boinc/reduce.h
 %%X11%%include/boinc/txf_util.h
 lib/libboinc.a
 lib/libboinc.la
@@ -73,9 +73,6 @@
 %%X11%%lib/libboinc_graphics2.la
 %%X11%%lib/libboinc_graphics2.so
 %%X11%%lib/libboinc_graphics2.so.7
-%%BOINC_MANAGER%%share/boinc/boincmgr.16x16.png
-%%BOINC_MANAGER%%share/boinc/boincmgr.32x32.png
-%%BOINC_MANAGER%%share/boinc/boincmgr.48x48.png
 %%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeft.png
 %%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeftClick.png
 %%SKINS%%share/boinc/skins/Charity Engine/graphic/arwRight.png
@@ -135,7 +132,6 @@
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_running_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_suspended_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_waiting_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/Thumbs.db
 %%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeft.png
 %%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeftClick.png
 %%SKINS%%share/boinc/skins/GridRepublic/graphic/arwRight.png
Comment 3 Pav Lucistnik freebsd_committer 2012-08-27 14:24:13 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2012-08-27 14:24:26 UTC
Author: pav
Date: Mon Aug 27 13:24:03 2012
New Revision: 303227
URL: http://svn.freebsd.org/changeset/ports/303227

Log:
  - Update to 7.0.28
  
  PR:		ports/169679
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>
  
  - Install extra headers for astropulse
  
  PR:		ports/170628
  Submitted by:	rene

Modified:
  head/net/boinc-client/Makefile
  head/net/boinc-client/distinfo
  head/net/boinc-client/pkg-plist

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Mon Aug 27 13:15:07 2012	(r303226)
+++ head/net/boinc-client/Makefile	Mon Aug 27 13:24:03 2012	(r303227)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	boinc-client
-PORTVERSION=	7.0.25
-PORTREVISION=	5
+PORTVERSION=	7.0.28
 CATEGORIES=	net
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	pav
@@ -151,9 +150,10 @@ post-patch:
 
 post-install:
 .if ${PORT_OPTIONS:MMANAGER}
+	${MKDIR} ${PREFIX}/share/boinc
 	${MKDIR} ${LOCALBASE}/share/pixmaps
 . for name in 16 32 48
-	cd ${LOCALBASE}/share/pixmaps ; ${LN} -sf ${PREFIX}/share/boinc/boincmgr.${name}x${name}.png
+	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png ${LOCALBASE}/share/pixmaps
 . endfor
 . if ${PORT_OPTIONS:MSKINS}
 	${CP} -R ${WRKSRC}/clientgui/skins ${PREFIX}/share/boinc
@@ -162,9 +162,9 @@ post-install:
 	${CP} -R ${WRKSRC}/clientgui/skins/Default ${PREFIX}/share/boinc/skins
 . endif
 .endif
-	${INSTALL_DATA} ${WRKSRC}/config.h ${PREFIX}/include/boinc
-	${INSTALL_DATA} ${WRKSRC}/lib/std_fixes.h ${PREFIX}/include/boinc
-	${INSTALL_DATA} ${WRKSRC}/api/reduce.h ${PREFIX}/include/boinc
+. for name in config.h api/reduce.h lib/shmem.h lib/std_fixes.h
+	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
+. endfor
 .if ${PORT_OPTIONS:MX11}
 . for name in api/boinc_gl.h api/graphics_api.h api/graphics_data.h \
 	api/txf_util.h

Modified: head/net/boinc-client/distinfo
==============================================================================
--- head/net/boinc-client/distinfo	Mon Aug 27 13:15:07 2012	(r303226)
+++ head/net/boinc-client/distinfo	Mon Aug 27 13:24:03 2012	(r303227)
@@ -1,2 +1,2 @@
-SHA256 (boinc-client-7.0.25.tar.xz) = b73dc1ab8e390e7f015964462dd4b02aa01f01ec1bb8dfcfb0faea8c4957bec5
-SIZE (boinc-client-7.0.25.tar.xz) = 4568300
+SHA256 (boinc-client-7.0.28.tar.xz) = a8d208b7145e911e856db4d4cdcfa843e26b445a948c11e40ad03ae3fdd657fa
+SIZE (boinc-client-7.0.28.tar.xz) = 4529336

Modified: head/net/boinc-client/pkg-plist
==============================================================================
--- head/net/boinc-client/pkg-plist	Mon Aug 27 13:15:07 2012	(r303226)
+++ head/net/boinc-client/pkg-plist	Mon Aug 27 13:24:03 2012	(r303227)
@@ -39,6 +39,8 @@ include/boinc/parse.h
 include/boinc/prefs.h
 include/boinc/procinfo.h
 include/boinc/proxy_info.h
+include/boinc/reduce.h
+include/boinc/shmem.h
 include/boinc/stackwalker_imports.h
 include/boinc/stackwalker_win.h
 include/boinc/std_fixes.h
@@ -51,7 +53,6 @@ include/boinc/win_util.h
 %%X11%%include/boinc/boinc_gl.h
 %%X11%%include/boinc/graphics_api.h
 %%X11%%include/boinc/graphics_data.h
-%%X11%%include/boinc/reduce.h
 %%X11%%include/boinc/txf_util.h
 lib/libboinc.a
 lib/libboinc.la
@@ -73,9 +74,6 @@ lib/libboinc_zip.so.7
 %%X11%%lib/libboinc_graphics2.la
 %%X11%%lib/libboinc_graphics2.so
 %%X11%%lib/libboinc_graphics2.so.7
-%%BOINC_MANAGER%%share/boinc/boincmgr.16x16.png
-%%BOINC_MANAGER%%share/boinc/boincmgr.32x32.png
-%%BOINC_MANAGER%%share/boinc/boincmgr.48x48.png
 %%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeft.png
 %%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeftClick.png
 %%SKINS%%share/boinc/skins/Charity Engine/graphic/arwRight.png
@@ -135,7 +133,6 @@ lib/libboinc_zip.so.7
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_running_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_suspended_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_waiting_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/Thumbs.db
 %%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeft.png
 %%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeftClick.png
 %%SKINS%%share/boinc/skins/GridRepublic/graphic/arwRight.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"